package com.docus.server.common.mapper;

import com.docus.server.common.entity.SdryPacsPrintExcept;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 顺德人医pacs接口获取base64报告出错的记录 mapper
 * @author wyb
 */
public interface SdryPacsPrintExceptMapper {
    int saveExcept(@Param("except") SdryPacsPrintExcept pacsPrintExcept);

    SdryPacsPrintExcept getById(@Param("id") Long id);

    int compensateSuccuss(@Param("id") Long id);

    List<Long> getCompensateIds(@Param("beginDateTime") String beginDateTime);
}
